# Function encodeUriQuery

- encodeUriQuery(val, pctEncodeSpaces): string

- This method is intended for encoding key or value parts of query component. We need a custom method because encodeURIComponent is too aggressive and encodes stuff that doesn't have to be encoded per http://tools.ietf.org/html/rfc3986: query = ( pchar / "/" / "?" ) pchar = unreserved / pct-encoded / sub-delims / ":" / "@" unreserved = ALPHA / DIGIT / "-" / "." / "_" / "~" pct-encoded = "%" HEXDIG HEXDIG sub-delims = "!" / "$" / "&" / "'" / "(" / ")" / "" / "+" / "," / ";" / "="

  #### Parameters

  - val: any
  - pctEncodeSpaces: any

  #### Returns string

  - Defined in shared/utils.js:987